=== debian/changelog ===
kjournald (0.1.0-0+siduction.1) unstable; urgency=medium

  * Non-maintainer upload
  * rebuild for siduction

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 17 Feb 2023 19:21:36 +0100

kjournald (0.1.0-0xneon+22.04+jammy+release+build11) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:35:47 +0000

kjournald (0.1.0-0neon) focal; urgency=medium

  * New app

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:30:02 +0000
