=== debian/control ===
Source: kjournald
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.77.0~),
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libsystemd-dev,
               pkgconf,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev,
               pkg-kde-tools,
               qtquickcontrols2-5-dev
Standards-Version: 4.1.4
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kjournald.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kjournald
Maintainer: Neon CI <neon@kde.org>

Package: kjournald
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: flexible tool to browse in local, remote and offline journald databases
 Journald-browser is a reference implementation of the kjournald
 library and provides a flexible tool to browse in local, remote and
 offline journald databases.
