=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_OPTIONS += noddebs
export DEB_BUILD_OPTIONS += nocheck

%:
	dh $@ --with kf5 --buildsystem kf5
