## kjournald 25.08.2+p24.04+vstable+git20251031.0941

=== debian/changelog ===
kjournald (25.08.2+p24.04+vstable+git20251031.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:41:43 +0000
