=== debian/control ===
Source: kjournald
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               libsystemd-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kjournald.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kjournald
Maintainer: Neon CI <neon@kde.org>

Package: kjournald
Architecture: any
Depends: kf6-kirigami, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Description: flexible tool to browse in local, remote and offline journald databases
 Journald-browser is a reference implementation of the kjournald
 library and provides a flexible tool to browse in local, remote and
 offline journald databases.
