## kjournald 25.08.3+p24.04+vunstable+git20251128.0739

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,20 @@
 # SPDX-License-Identifier: BSD-3-Clause
 # SPDX-FileCopyrightText: Andreas Cord-Landwehr <cordlandwehr@kde.org>
 
-project(kjournald LANGUAGES CXX)
-set(KJOURNALD_VERSION 0.1.0)
+cmake_minimum_required(VERSION 3.19)
 
-cmake_minimum_required(VERSION 3.16)
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(KJOURNALD_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+set(KJOURNALD_SOVERSION 0)
+
+project(kjournald VERSION ${KJOURNALD_VERSION})
+
+# generate QML LS integration
+set(QT_QML_GENERATE_QMLLS_INI ON)
+
 set(CMAKE_AUTOUIC ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 include(FeatureSummary)
@@ -16,15 +22,14 @@
 include(CMakePackageConfigHelpers)
 
 add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x051500
-    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
-    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x060800
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060800
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x0060800
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060800
 )
 
-# KF5 minimal version is chosen to support Ubuntu 20.04 LTS
-set(KF5_VERSION 5.68.0)
-find_package(ECM ${KF5_VERSION} NO_MODULE)
+set(KF_VERSION 6.8.0)
+find_package(ECM ${KF_VERSION} NO_MODULE)
 set_package_properties(ECM PROPERTIES
     TYPE REQUIRED
     DESCRIPTION "Extra CMake Modules."
@@ -35,28 +40,33 @@
 include(ECMCoverageOption)
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
-include(KDEInstallDirs)
+include(KDEInstallDirs6)
 include(KDECMakeSettings)
 include(KDEClangFormat)
+include(ECMQmlModule)
 
 ecm_setup_version(${KJOURNALD_VERSION}
     VARIABLE_PREFIX KJOURNALD
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kjournald_version.h"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KJournaldConfigVersion.cmake"
-    SOVERSION 0
+    SOVERSION ${KJOURNALD_SOVERSION}
 )
 
-find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_VERSION} REQUIRED COMPONENTS
     CoreAddons
+    Crash
+    Config
     I18n
+    Kirigami
 )
 add_definitions(-DTRANSLATION_DOMAIN=\"kjournald\")
+
+find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(SYSTEMD REQUIRED IMPORTED_TARGET libsystemd)
 
-set(REQUIRED_QT_VERSION 5.15.0)
-find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 6.5.0 REQUIRED COMPONENTS
     Core
     Quick
     QuickControls2
@@ -68,7 +78,8 @@
 
 enable_testing()
 
-add_subdirectory(lib)
+add_subdirectory(org/kde/kjournald/)
+add_subdirectory(org/kde/kjournaldbrowser/)
 add_subdirectory(browser)
 add_subdirectory(autotests)
