## kjournald 25.08.3+p24.04+vunstable+git20251204.0227

=== debian/changelog ===
kjournald (25.08.3+p24.04+vunstable+git20251204.0227-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:27:27 +0000
