## kjournald 25.12.0+p24.04+vstable+git20260102.1221

=== debian/changelog ===
kjournald (25.12.0+p24.04+vstable+git20260102.1221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:21:01 +0000
