## kjournald 25.12.1

=== debian/changelog ===
kjournald (25.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Simplify debian/rules since we’re already using dh-sequence-kf6.
  * Switch to debian/watch format version 5.
  * Also package the qml6-module-org-kde-kjournald QML module.
  * Fix section for libkjournald-dev.
  * Fix multi-archness of libraries.
  * Rewrite copyright information.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.
  * Release to unstable.
  * Switch to declarative dh-sequence-qmldeps for runtime QML
    dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 19:28:24 +0100

kjournald (24.08.2-1) experimental; urgency=medium

  * Initial release (Closes: #1086608).

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 23:47:03 -0500
