=== debian/control ===
Source: kjournald
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Simon Quigley <tsimonq2@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.19~),
               extra-cmake-modules (>= 6.8.0~),
               kirigami-addons-dev (>= 1.4.0~),
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libsystemd-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               systemd-journal-remote <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/kjournaldbrowser/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kjournald
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kjournald.git

Package: kjournaldbrowser
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: flexible tool to browse in local, remote and offline journald databases
 Journald-browser is a reference implementation of the kjournald
 library and provides a flexible tool to browse in local, remote and
 offline journald databases.
 .
 This package contains the kjournaldbrowser binary.

Package: libkjournald-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkjournald0 (= ${binary:Version}),
         qml6-module-org-kde-kjournald (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for kjournald
 Journald-browser is a reference implementation of the kjournald
 library and provides a flexible tool to browse in local, remote and
 offline journald databases.
 .
 This package contains the development files for the kjournald library.

Package: libkjournald0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: kjournald library
 Journald-browser is a reference implementation of the kjournald
 library and provides a flexible tool to browse in local, remote and
 offline journald databases.
 .
 This package contains the kjournald library.

Package: qml6-module-org-kde-kjournald
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: QML module for kjournald library
 This package contains the QML module for using the kjournald library features
 from QML applications.
