=== debian/watch ===
Version: 5

Source: https://download.kde.org/stable/release-service/@ANY_VERSION@/src/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sig/
