## kjournald 25.12.1+p24.04+vstable+git20260203.0852

=== debian/changelog ===
kjournald (25.12.1+p24.04+vstable+git20260203.0852-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:52:13 +0000
