## kjournald 25.12.1+p24.04+vstable+git20260205.0623

=== debian/changelog ===
kjournald (25.12.1+p24.04+vstable+git20260205.0623-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:23:22 +0000
