## kjournald 25.12.1+p24.04+vunstable+git20260201.0651

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,24 +17,26 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(FeatureSummary)
 include(GenerateExportHeader)
 include(CMakePackageConfigHelpers)
 
-add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x060800
-    -DQT_DEPRECATED_WARNINGS_SINCE=0x060800
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x0060800
-    -DKF_DEPRECATED_WARNINGS_SINCE=0x060800
-)
-
-set(KF_VERSION 6.8.0)
+set(KF_VERSION 6.21.0)
 find_package(ECM ${KF_VERSION} NO_MODULE)
 set_package_properties(ECM PROPERTIES
     TYPE REQUIRED
     DESCRIPTION "Extra CMake Modules."
     URL "https://invent.kde.org/frameworks/extra-cmake-modules")
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include(ECMDeprecationSettings)
+
+ecm_set_disabled_deprecation_versions(
+    QT 6.8.0
+    KF 6.21.0
+)
+
 include(ECMAddTests)
 include(ECMEnableSanitizers)
 include(ECMCoverageOption)
@@ -73,6 +75,7 @@
     Test
     Widgets
 )
+qt_policy(SET QTP0005 NEW)
 
 option(INSTALL_EXPERIMENTAL_HEADERS "Install headers for libkjournald (no stable API yet)" OFF)
