## kjournald 25.12.2

=== debian/changelog ===
kjournald (25.12.2-0ubuntu1) resolute; urgency=medium

  * Debian merge; no changes needed. 
  * New upstream release (25.12.2).

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 25 Feb 2026 07:07:07 +0000
