=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kjournald
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@debian.org>,
+           scarlett Moore <sgmoore@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
