## kjournald 25.12.2+p24.04+vunstable+git20260207.0449

=== browser/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: Andreas Cord-Landwehr <cordlandwehr@kde.org>

include_directories(
    ${CMAKE_SOURCE_DIR}/lib
    ${CMAKE_BINARY_DIR}/lib
    ${CMAKE_BINARY_DIR}
)

add_executable(kjournaldbrowser
    main.cpp
)

target_compile_definitions(kjournaldbrowser
    PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(kjournaldbrowser
LINK_PUBLIC
    Qt::Core
    Qt::Quick
    Qt::QuickControls2
    Qt::Widgets # because of QApplication and QQC2 style integration
    KF6::I18n
    KF6::I18nQml
    KF6::CoreAddons
    KF6::Crash
    kjournald
LINK_PRIVATE
    kjournaldbrowser_backing
    kjournaldbrowser_backingplugin
)
install(TARGETS kjournaldbrowser DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kjournaldbrowser.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kjournaldbrowser.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
