=== debian/changelog ===
kjournald (25.12.2+p24.04+vunstable+git20260207.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 04:49:19 +0000

kjournald (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:03:23 +0000
